%define  patch_name kernel-fix-lvm

Name: %patch_name
Version: 2004.05.09
Release: alt1

Summary: %patch_name - Linux kernel LVM fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# filterdiff -x '*drivers/md/dm*'
%source  0	00_linux-2.4.22-VFS-lock-common.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux kernel LVM fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 01_lvm-snapshot-iobuf-fix.patch

* Fri Mar 19 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.19-alt1
- Added:
  + 01_lvm-snapshot-iobuf-fix.patch: fix LVM snapshot oversized sector
    calculation

* Wed Jan 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.21-alt1
- Updated for kernel 2.4.24.
- Removed LVM update patches (upstream).
- Replaced VFS locking patch with a version from the official dm tarball.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- LVM update 1.0.7 (fixes several bugs):
  + 01_lvm-1.0.5-1.0.7-update.patch
- Added:
  + 02_lvm-memleak.patch
- Replaced VFS-locking patch with the updated version taken from the dm
  patches:
  + 80_00005-common.patch
  + 81_00015.patch

* Wed Jul  9 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.09-alt1
- wrong %%description corrected

* Tue Jul  8 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.08-alt1
- Initial release

